import type { TextInput } from '@mongodb-js/compass-components';
import type { ComponentProps } from 'react';
import type { QueryProperty } from './query-properties';
export type QueryOption = Exclude<QueryProperty, 'update'>;
export declare const OPTION_DEFINITION: {
    [optionName in QueryOption]: {
        name: optionName;
        type: 'document' | 'numeric';
        placeholder: string;
        link: string;
        label?: string;
        extraTextInputProps?: () => Partial<ComponentProps<typeof TextInput>>;
    };
};
export type QueryBarRowLayout = QueryOption | QueryOption[];
export type QueryBarLayout = QueryBarRowLayout[];
//# sourceMappingURL=query-option-definition.d.ts.map