import type { UserPreferences } from 'compass-preferences-model';
import type { BaseQuery, QueryFormFields } from '../constants/query-properties';
export declare function mapFormFieldsToQuery(fields: QueryFormFields): BaseQuery;
export declare function doesQueryHaveExtraOptionsSet(fields?: QueryFormFields): boolean;
export declare function parseQueryAttributesToFormFields(query: Record<string, unknown>, preferences: Pick<UserPreferences, 'maxTimeMS'>): QueryFormFields;
export declare function mapQueryToFormFields(preferences: Pick<UserPreferences, 'maxTimeMS'>, query?: BaseQuery, onlyValid?: boolean): QueryFormFields;
export declare function isQueryValid(fields: QueryFormFields): boolean;
export declare function validateField(field: string, value: string, { maxTimeMS: preferencesMaxTimeMS }: Pick<UserPreferences, 'maxTimeMS'>): any;
export declare function isQueryFieldsValid(fields: QueryFormFields, preferences: Pick<UserPreferences, 'maxTimeMS'>): boolean;
export declare function isEqualDefaultQuery(fields: QueryFormFields): boolean;
//# sourceMappingURL=query.d.ts.map