import React from 'react';
import { GenerativeAIInput } from '@mongodb-js/compass-generative-ai';
type QueryAIProps = Omit<React.ComponentProps<typeof GenerativeAIInput>, 'onSubmitFeedback'>;
declare function QueryAI(props: QueryAIProps): JSX.Element;
declare const ConnectedQueryAI: import("react-redux").ConnectedComponent<typeof QueryAI, {
    placeholder?: string | undefined;
    show: boolean;
    isAggregationGeneratedFromQuery?: boolean | undefined;
    onResetIsAggregationGeneratedFromQuery?: (() => void) | undefined;
    onClose: () => void;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export { ConnectedQueryAI as QueryAI };
//# sourceMappingURL=query-ai.d.ts.map